Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.http
Class DefaultSessionFilter

    java.lang.Object
      com.bea.p13n.http.DefaultSessionFilter

All Implemented Interfaces
  com.bea.p13n.http.internal.Filter, com.bea.p13n.http.internal.MapFilter, Serializable

Direct Known Subclasses:
  DefaultRequestFilter

    public class DefaultSessionFilter

extends Object
implements com.bea.p13n.http.internal.Filter, com.bea.p13n.http.internal.MapFilter, Serializable

The default P13N Session Filter. This class implements a filter that determines the objects in the HTTP session are to be used in the construction of the P13N Session object.

See Also
  Serialized Form

Constructor Summary
`DefaultSessionFilter()` Default Constructor

Method Summary
`Map` | `filter(Map aMap)` This filter will include values in the source map whose value object's class matches the following types: java.lang.String java.lang.Boolean java.lang.Long java.lang.Double java.sql.Timestamp java.util.Collection since these are the only types supported by the rules editor.
`Object` | `filter(Object in)` Filter the given input object according to the object's class.
`boolean` | `isAllowableType(Class cl)` Determine if the specified class is one this object should allow.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultSessionFilter

    public DefaultSessionFilter()

  Default Constructor

Method Detail

### filter

    public Map filter(Map aMap)

  This filter will include values in the source map whose value object's class matches the following types: java.lang.String java.lang.Boolean java.lang.Long java.lang.Double java.sql.Timestamp java.util.Collection since these are the only types supported by the rules editor.

  Specified by:
    `filter` in interface `com.bea.p13n.http.internal.MapFilter`
  Parameters
    `aMap` - The source Map object that contains the session key/value pairs.
  Returns
    The filtered Map

### filter

    public Object filter(Object in)

  Filter the given input object according to the object's class.

  Specified by:
    `filter` in interface `com.bea.p13n.http.internal.Filter`
  See Also
    `isAllowableType(java.lang.Class)`

### isAllowableType

    public boolean isAllowableType(Class cl)

  Determine if the specified class is one this object should allow.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.